> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all units

> Get all units

<sup>Required permissions: `unit:read`</sup>



## OpenAPI

````yaml get /units
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /units:
    parameters: []
    get:
      tags:
        - Unit
      summary: Get all units
      description: |-
        Get all units

        <sup>Required permissions: `unit:read`</sup>
      operationId: getUnits
      parameters:
        - name: locale
          in: query
          description: >-
            Defines the locale to use for translations. Defaults to tenant
            locale.
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            default: null
          style: form
          explode: false
          allowReserved: false
          example: en
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
        - name: groups[]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: array
            items:
              type: string
              enum:
                - translations
          style: form
          explode: true
          allowReserved: false
      responses:
        '200':
          description: Unit collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Unit-unit.read_timestampable.read'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Unit-unit.read_timestampable.read'
      deprecated: false
      security:
        - JWT:
            - unit:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /units \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Unit-unit.read_timestampable.read:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/UnitId-unit.read_timestampable.read'
          readOnly: true
        name:
          example: Stück
          type: string
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
    UnitId-unit.read_timestampable.read:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````